PCGETI(3NCARG)

NAME
PCGETI - Retrieves the integral value of an internal parameter of type INTEGER or REAL.

SYNOPSIS
CALL PCGETI (PNAM,IVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_pcgeti (char *pnam, int *ival)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) specifies the name of the parameter to get. The name must appear as the first two characters of the string. If the internal parameter is one of the two ('BC' and 'CC') that are arrays, the index of the desired array element may appear, enclosed in parentheses, in columns 3 and following. Other characters may be used to document the use of the parameter being retrieved; for example, instead of just 'MA', one can use 'MA - MAPPING FLAG' and, instead of 'CC(10)', one can use 'CC(10) - SPECIAL COLOR 10'.

IVAL
    (an output variable of type INTEGER) is the name of the variable into which the value of the internal parameter specified by PNAM is to be retrieved. If the internal parameter is a value "i" of type INTEGER, the value returned is "i". If the internal parameter is a value "r" of type REAL, the value returned is "INT(r)".

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Plotchar parameters. For a complete list of parameters available in this utility, see the plotchar_params man page.

EXAMPLES
Use the ncargex command to see the following relevant examples: cpexcc, vvexcc.

ACCESS
To use PCGETI or c_pcgeti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: plotchar, plotchar_params, pcdlsc, pcgetc, pcgetr, pchiqu, pcloqu, pcmequ, pcmpxy, pcpnwi, pcrset, pcsetc, pcseti, pcsetr, ncarg_cbind.

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.